#!/bin/bash
#!/bin/bash
#
# Copyright 2014 by Thomas Jampen <thomas.jampen@gymkirchenfeld.ch>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.



# includes
KINET_DIR="/usr/share/kinet"

. ${KINET_DIR}/kinet-misc.sh



# cups
INSTALLED_PRINTERS_DIR="/etc/cups/ppd"

# determine how to call lpadmin
if $(id | grep lpadmin > /dev/null 2>&1)
then
	# user is in lpadmin group
	LPADMIN="/usr/sbin/lpadmin"
fi

if [ "${LPADMIN}" = "" ]
then
	# determine which sudo programm to use
	LPADMIN="$(get-best-sudo-program) /usr/sbin/lpadmin"
fi
